<?php
/**
 * Created by PhpStorm.
 * User: billy
 * Date: 20/03/2017
 * Time: 5:06 PM
 */

namespace App\Modules\Onenet\Message\ReceiveMessage;


/**
 * Class BatteryInfo
 * @package App\Modules\Onenet\Message\ReceiveMessage
 */
class BatteryInfo
{
    /**
     * 仓口号
     * @var
     */
    private $position;

    /**
     * 电池电量
     * @var
     */
    private $battery_life;

    /**
     * 充电宝编号
     * @var
     */
    private $battery_sn;

    /**
     * 充电宝状态，可忽略
     * @var
     */
    private $status;

    /**
     * BatteryInfo constructor.
     */
    public function __construct()
    {
    }

    /**
     * @return mixed
     */
    public function getPosition()
    {
        return $this->position;
    }

    /**
     * @param mixed $position
     */
    public function setPosition($position)
    {
        $this->position = $position;
    }

    /**
     * @return mixed
     */
    public function getBatteryLife()
    {
        return $this->battery_life;
    }

    /**
     * @param mixed $battery_life
     */
    public function setBatteryLife($battery_life)
    {
        $this->battery_life = $battery_life;
    }

    /**
     * @return mixed
     */
    public function getBatterySn()
    {
        return $this->battery_sn;
    }

    /**
     * @param mixed $battery_sn
     */
    public function setBatterySn($battery_sn)
    {
        $this->battery_sn = $battery_sn;
    }

    /**
     * @return mixed
     */
    public function getStatus()
    {
        return $this->status;
    }

    /**
     * @param mixed $status
     */
    public function setStatus($status)
    {
        $this->status = $status;
    }
}